import { Device } from '@capacitor/device';
import { PushNotifications } from '@capacitor/push-notifications';
export async function checkPermissions() {
    const { platform } = await Device.getInfo();
    let permissionState;
    if (platform === 'web') {
        permissionState = Notification.permission;
    }
    else {
        let permissionsStatus = await PushNotifications.checkPermissions();
        permissionState = permissionsStatus.receive;
    }
    return { permissionState };
}
