import { CardProps } from "@chakra-ui/react";
import { PushNotification } from "../push-notification";
/**
 * A React component that displays a PushNotification's information in a card format.
 *
 * @returns A `Card` component containing PushNotification model as a `Heading` in the `CardHeader` and PushNotification name as a `Text` in the `CardBody`.
 */
export declare function PushNotification(param: PushNotificationOptions): import("react/jsx-runtime").JSX.Element;
export interface PushNotificationOptions {
    /**
     * All PushNotification information
     */
    pushNotification: PushNotification;
    cardProps?: CardProps;
}
